Bug 148950 - Please upgrade www/grails to 1.3.3
Summary: Please upgrade www/grails to 1.3.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-26 08:10 UTC by Jani Kaarela
Modified: 2010-09-22 06:20 UTC (History)
0 users

See Also:


Attachments
file.diff (726 bytes, patch)
2010-07-26 08:10 UTC, Jani Kaarela
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jani Kaarela 2010-07-26 08:10:03 UTC
Please upgrade port to Grails version 1.3.3, thanks.

Fix: See the attached Makefile diff. However, it doesn't address a notable change in Grails: building from sources is now done with Gradle instead of Ant. There's a shell script called "gradlew" which needs to be patched for FreeBSD (Java home discovery needed) and preferably linked from ${PREFIX}/bin like the other scripts.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-07-26 08:10:10 UTC
Maintainer of www/grails,

Please note that PR ports/148950 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148950

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-07-26 08:10:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Li-Wen Hsu freebsd_committer 2010-08-22 07:36:23 UTC
There is no "distinfo" part in this patch.


-- 
Li-Wen Hsu <lwhsu AT FreeBSD.org>
http://lwhsu.org
Comment 4 Jani Kaarela 2010-08-30 13:41:10 UTC
On Sun, Aug 22, 2010 at 9:36 AM, Li-Wen Hsu <lwhsu@freebsd.org> wrote:
> There is no "distinfo" part in this patch.
>
>
> --
> Li-Wen Hsu <lwhsu AT FreeBSD.org>
> http://lwhsu.org
>

Sorry for that, and the delay.

Diff output (diff ../grails-1.2.2/distinfo distinfo):

1,3c1,3
< MD5 (grails-1.2.2.zip) = dcfe25c2425ec86e47dea7722b44c744
< SHA256 (grails-1.2.2.zip) =
9154c603c2ae3aade28c9bd21171c1632ec08817d056e3f80bf0b86220b1b261
< SIZE (grails-1.2.2.zip) = 48488122
---
> MD5 (grails-1.3.3.zip) = 2573fcd2a50d9f2f4b07450638c56b7c
> SHA256 (grails-1.3.3.zip) = ee1a74d138f20e68a5e2310a213f71ab9f287a4039a12dca7bc978ebe1b5c6d9
> SIZE (grails-1.3.3.zip) = 48764824
Comment 5 Philip M. Gollucci freebsd_committer 2010-08-30 17:54:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it
Comment 6 Philip M. Gollucci freebsd_committer 2010-09-14 07:53:58 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 7 Philip M. Gollucci freebsd_committer 2010-09-22 06:18:34 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 8 dfilter service freebsd_committer 2010-09-22 06:18:35 UTC
pgollucci    2010-09-22 05:18:30 UTC

  FreeBSD ports repository

  Modified files:
    www/grails           Makefile distinfo 
  Log:
  - Update to 1.3.3
  
  PR:             ports/148950
  Submitted by:   Jani Kaarela <jani.kaarela@gmail.com>
  Approved by:    maintainer timeout (mjs@bur.st ; ~ 2 months)
  
  Revision  Changes    Path
  1.11      +3 -3      ports/www/grails/Makefile
  1.9       +3 -3      ports/www/grails/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"